<?php

namespace Modules\Pp\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class OrderResourceHr extends Model
{
    use HasFactory,LogsActivity;
    protected $table = 'pp_order_resource_hrs';
    protected $primaryKey = 'order_resource_hr_id';
    protected $fillable = [];
    protected static $logAttributes = [
        'order_resource_hr_id',
        'customer_order_plan_data_id',
        'fg_product_id',
        'shift_id',
        'designation_id',
        'no_of_heads',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "pp_order_resource_hrs";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }
}
